Index: /extensions/ContactForm/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/tr_TR/plugin.lang.php	(revision 17482)
+++ /extensions/ContactForm/language/tr_TR/plugin.lang.php	(revision 17483)
@@ -1,71 +1,43 @@
 <?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
-$lang['cf_plugin_name'] = 'İletişim Formu';
-$lang['contact_form_debug'] = 'Debug bilgisini gör';
+$lang['Contact'] = 'İletişim';
+$lang['Your name'] = 'İsminiz';
+$lang['Your e-mail'] = 'E-posta adresiniz';
+$lang['Subject'] = 'Konu';
+$lang['Message'] = 'Mesaj';
+$lang['General configuration'] = 'Genel ayarlar';
+$lang['Add link in menu'] = 'Menüye link ekle';
+$lang['Allow guests to see the form'] = 'Ziyaretciler formu görebilir';
+$lang['E-mail address is mandatory'] = 'E-postanın zorunluluğu';
+$lang['Name is mandatory'] = 'Zorunlu isim';
+$lang['E-mail configuration'] = 'E-posta ayarları';
+$lang['Text before the contact form'] = 'İletişim formun önündeki metin';
+$lang['Text after the contact form'] = 'İletişim formun arkasındaki metin';
+$lang['E-mail sent successfully'] = 'Mesajınız başarılı bir şekilde gönderildi.';
+$lang['Please enter a name'] = 'Lütfen isminizi girin';
+$lang['Please enter a subject'] = 'Lütfen konuyu girin';
+$lang['Please enter a message'] = 'Lütfen mesajınızı girin';
+$lang['Error while sending e-mail'] = 'Mesajın gönderilmesinde sorun oluştu';
 
-// ==================================================================
-// Default values if not configured
-$lang['contact_form_title'] = 'İletişim formu';
-$lang['contact_form'] = 'İletişim';
-$lang['contact_form_link'] = 'İletişim Site yöneticisi';
-
-// ==================================================================
-// Redirect page
-$lang['contact_redirect_title'] = 'Mesajın durumunu gönder';
-
-// ==================================================================
-// Menü bloğu
-$lang['cf_from_name'] = 'İsminiz';
-$lang['cf_from_mail'] = 'E-posta adresiniz';
-$lang['cf_subject'] = 'Konu';
-$lang['cf_message'] = 'Mesaj';
-$lang['cf_submit'] = 'Gönder';
-$lang['title_send_mail'] = '';
-
-// ==================================================================
-// Mesajlar
-$lang['cf_from_name_error'] = 'Lütfen isminizi girin';
-$lang['cf_mail_format_error'] = 'E-Posta yandaki gibi olmalıdır  xxx@yyy.eee (örnek : jack@altern.org)';
-$lang['cf_subject_error'] = 'Lütfen konuyu girin';
-$lang['cf_message_error'] = 'Lütfen mesajınızı girin';
-$lang['cf_error_sending_mail'] = 'Mesajın gönderilmesinde sorun oluştu';
-$lang['cf_sending_mail_successful'] = 'Mesajınız başarılı bir şekilde gönderildi.';
-$lang['cf_form_error'] = 'Geçersiz bilgi';
-$lang['cf_no_unlink'] = 'Fonksiyon \'unlink\' ulaşılamaz...';
-$lang['cf_unlink_errors'] = 'Dosyada hata oluştu';
-$lang['cf_config_saved'] = 'Değişiklikler başarılı ile kaydedildi.';
-$lang['cf_config_saved_with_errors'] = 'Değişikler hatalar ile kaydedildi';
-$lang['cf_length_not_integer'] = 'Boyut değeri tam sayı olmalı';
-$lang['cf_delay_not_integer'] = 'Geçikme değeri tam sayı olmalı';
-$lang['cf_link_error'] = 'Değişkenler boşluk içeremez';
-$lang['cf_hide'] = 'Gizle';
-
-// ==================================================================
-// Yönetici Sayfası
-$lang['cf_validate'] = 'Gönder';
-// Ayarlar  bölümü
-$lang['cf_tab_config'] = 'Ayarlar';
-$lang['cf_config'] = 'Ayarlar';
-$lang['cf_config_desc'] = 'Eklenti ayarları';
-$lang['cf_label_config'] = 'Genel ayarlar';
-$lang['cf_label_mail'] = 'E-posta ayarları';
-$lang['cf_menu_link'] = 'Menüye link ekle';
-$lang['cf_guest_allowed'] = 'Ziyaretciler formu görebilir';
-$lang['cf_mail_prefix'] = 'Gelen postaya eklenecek ön ek';
-$lang['cf_separator'] = 'Character(s) used to define a separation bar in the e-mail in text format';
-$lang['cf_separator_length'] = 'Mesaj alanın genişliği';
-$lang['cf_mandatory_name'] = 'Zorunlu isim';
-$lang['cf_mandatory_mail'] = 'E-postanın zorunluluğu';
-$lang['cf_redirect_delay'] = 'Geribildirimde geçikme süresi';
-// E-posta  bölümü
-$lang['cf_tab_emails'] = 'E-postalar';
-$lang['cf_emails'] = 'E-postalar';
-$lang['cf_emails_desc'] = 'Hedef e-posta yönetimi';
-$lang['cf_active'] = 'Etkin e-posta';
-$lang['cf_no_mail'] = 'Mevcut e-posta adresi yok';
-$lang['cf_refresh'] = 'E-posta listesini tekrar oluştur';
-$lang['Text after the contact form'] = 'İletişim formun arkasındaki metin';
-$lang['Text before the contact form'] = 'İletişim formun önündeki metin';
-$lang['cf_tab_persoform'] = 'Özelleştirilmiş metin ekle';
 ?>
Index: /extensions/ContactForm/language/uk_UA/index.php
===================================================================
--- /extensions/ContactForm/language/uk_UA/index.php	(revision 17483)
+++ /extensions/ContactForm/language/uk_UA/index.php	(revision 17483)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ContactForm/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/uk_UA/plugin.lang.php	(revision 17482)
+++ /extensions/ContactForm/language/uk_UA/plugin.lang.php	(revision 17483)
@@ -1,52 +1,44 @@
 <?php
-$lang['cf_message'] = 'Повідомлення';
-$lang['cf_plugin_name'] = 'Зворотній зв\'язок';
-$lang['cf_subject'] = 'Тема';
-$lang['cf_submit'] = 'Надіслати';
-$lang['contact_form'] = 'Зв\'язатися';
-$lang['contact_form_link'] = 'Зв\'язатися з адміністратором';
-$lang['cf_error_sending_mail'] = 'Помилка при відправленні по електронній пошті';
-$lang['cf_from_name'] = 'Ваше ім\'я';
-$lang['cf_from_name_error'] = 'Будь ласка, введіть ім\'я';
-$lang['cf_message_error'] = 'Будь ласка, введіть повідомлення';
-$lang['cf_sending_mail_successful'] = 'Повідомлення успішно надіслано';
-$lang['cf_subject_error'] = 'Будь ласка, ведіть тему';
-$lang['contact_form_debug'] = 'Відображення налагоджувальної інформації';
-$lang['contact_form_title'] = 'Контактна форма';
-$lang['contact_redirect_title'] = 'Статус надісланого повідомлення';
-$lang['title_send_mail'] = 'Коментар про сайт';
-$lang['cf_active'] = 'Активна електронна пошта';
-$lang['cf_config'] = 'Конфігурація';
-$lang['cf_config_desc'] = 'Плаґін основної конфігурації';
-$lang['cf_config_saved'] = 'Конфігурація успішно збережена';
-$lang['cf_config_saved_with_errors'] = 'Конфігурація збережена з помилками';
-$lang['cf_delay_not_integer'] = 'Затримка повинна бути цілим числом';
-$lang['cf_emails'] = 'Електронна пошта';
-$lang['cf_emails_desc'] = 'Управління адресою електронної пошти';
-$lang['cf_form_error'] = 'Невірні дані';
-$lang['cf_guest_allowed'] = 'Дозвольте гостям бачити форму';
-$lang['cf_hide'] = 'Приховати';
-$lang['cf_label_config'] = 'Загальна конфігурація';
-$lang['cf_label_mail'] = 'Конфігурації електронної пошти';
-$lang['cf_length_not_integer'] = 'Розмір повинен бути цілим числом';
-$lang['cf_link_error'] = 'Змінна не може містити пропусків';
-$lang['cf_mail_format_error'] = 'Невірний формат електронної пошти';
-$lang['cf_mail_prefix'] = 'Префікс до надісланої теми на емейл адресу';
-$lang['cf_mandatory_mail'] = 'Адреса електронної пошти є обов\'язковою';
-$lang['cf_mandatory_name'] = 'Ім\'я є обов\'язковим';
-$lang['cf_menu_link'] = 'Додати посилання в меню';
-$lang['cf_no_mail'] = 'Немає доступних адрес електронної пошти';
-$lang['cf_no_unlink'] = 'Функція "від\'єднати" не доступна...';
-$lang['cf_redirect_delay'] = 'Пауза затримки для перенаправлення';
-$lang['cf_refresh'] = 'Відновити список адрес електронної пошти';
-$lang['cf_separator'] = 'Символ(и), що використовуються для визначення поділу бару електронної пошти в текстовому форматі';
-$lang['cf_separator_length'] = 'Розмір панелі';
-$lang['cf_tab_config'] = 'Конфігурація';
-$lang['cf_tab_emails'] = 'Електронна пошта';
-$lang['cf_unlink_errors'] = 'Сталася помилка під час видалення файлів';
-$lang['cf_validate'] = 'Прийняти';
-$lang['cf_from_mail'] = 'Ваш емейл';
-$lang['cf_tab_persoform'] = 'Додати текстову Форму';
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['A comment on the site'] = 'Коментар про сайт';
+$lang['Contact'] = 'Зв\'язатися';
+$lang['Your name'] = 'Ваше ім\'я';
+$lang['Your e-mail'] = 'Ваш емейл';
+$lang['Subject'] = 'Тема';
+$lang['Message'] = 'Повідомлення';
+$lang['General configuration'] = 'Загальна конфігурація';
+$lang['Add link in menu'] = 'Додати посилання в меню';
+$lang['Allow guests to see the form'] = 'Дозвольте гостям бачити форму';
+$lang['E-mail address is mandatory'] = 'Конфігурації електронної пошти';
+$lang['Name is mandatory'] = 'Ім\'я є обов\'язковим';
+$lang['E-mail configuration'] = 'Адреса електронної пошти є обов\'язковою';
+$lang['Text before the contact form'] = 'Текст перед контактною формою';
 $lang['Text after the contact form'] = 'Текст після контактної форми';
-$lang['Text before the contact form'] = 'Текст перед контактною формою';
+$lang['E-mail sent successfully'] = 'Повідомлення успішно надіслано';
+$lang['Please enter a name'] = 'Будь ласка, введіть ім\'я';
+$lang['Please enter a subject'] = 'Будь ласка, ведіть тему';
+$lang['Please enter a message'] = 'Будь ласка, введіть повідомлення';
+$lang['Error while sending e-mail'] = 'Помилка при відправленні по електронній пошті';
+
 ?>
Index: /extensions/ContactForm/language/vi_VN/index.php
===================================================================
--- /extensions/ContactForm/language/vi_VN/index.php	(revision 17482)
+++ /extensions/ContactForm/language/vi_VN/index.php	(revision 17483)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/ContactForm/language/vi_VN/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/vi_VN/plugin.lang.php	(revision 17482)
+++ /extensions/ContactForm/language/vi_VN/plugin.lang.php	(revision 17483)
@@ -1,71 +1,44 @@
 <?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
-$lang['cf_plugin_name'] = 'Dạng Liên hệ';
-$lang['contact_form_debug'] = 'Hiển thị của thông tin hiệu chỉnh lỗi';
+$lang['A comment on the site'] = 'Một lời bình trên trang';
+$lang['Contact'] = 'Liên hệ';
+$lang['Your name'] = 'Tên của bạn';
+$lang['Your e-mail'] = 'Email của bạn';
+$lang['Subject'] = 'Tiêu đề';
+$lang['Message'] = 'Thông điệp';
+$lang['General configuration'] = 'Cấu hình tổng quát';
+$lang['Add link in menu'] = 'Thêm liên kết vào trình đơn';
+$lang['Allow guests to see the form'] = 'Cho phép khách xem các dạng';
+$lang['E-mail address is mandatory'] = 'Địa chỉ thư điện tử là bắt buộc';
+$lang['Name is mandatory'] = 'Họ tên là bắt buộc';
+$lang['E-mail configuration'] = 'Cấu hình thư điện tử';
+$lang['Text before the contact form'] = 'Chữ hiện trước form liên lạc';
+$lang['Text after the contact form'] = 'Chữ hiện sau form liên lạc';
+$lang['E-mail sent successfully'] = 'Email đã được gởi thành công';
+$lang['Please enter a name'] = 'Vui lòng nhập tên';
+$lang['Please enter a subject'] = 'Vui lòng nhập tiêu đề';
+$lang['Please enter a message'] = 'Vui lòng nhập nội dung';
+$lang['Error while sending e-mail'] = 'Có lỗi trong quá trình gởi email';
 
-// ==================================================================
-// Giá trị mặc định nếu không được cấu hình 
-$lang['contact_form_title'] = 'Dạng Liên hệ';
-$lang['contact_form'] = 'Liên hệ';
-$lang['contact_form_link'] = 'Liên hệ webmaster';
-
-// ==================================================================
-// Trang đổi hướng
-$lang['contact_redirect_title'] = 'Gởi trạng thái tin nhắn';
-
-// ==================================================================
-// Khối thanh trình đơn
-$lang['cf_from_name'] = 'Tên của bạn';
-$lang['cf_from_mail'] = 'Email của bạn';
-$lang['cf_subject'] = 'Tiêu đề';
-$lang['cf_message'] = 'Thông điệp';
-$lang['cf_submit'] = 'Gởi';
-$lang['title_send_mail'] = 'Một lời bình trên trang';
-
-// ==================================================================
-// Thông điệp
-$lang['cf_from_name_error'] = 'Vui lòng nhập tên';
-$lang['cf_mail_format_error'] = 'địa chỉ email phải có dạng xxx@yyy.eee (ví dụ : jack@altern.org)';
-$lang['cf_subject_error'] = 'Vui lòng nhập tiêu đề';
-$lang['cf_message_error'] = 'Vui lòng nhập nội dung';
-$lang['cf_error_sending_mail'] = 'Có lỗi trong quá trình gởi email';
-$lang['cf_sending_mail_successful'] = 'Email đã được gởi thành công';
-$lang['cf_form_error'] = 'Dữ liệu không có thực';
-$lang['cf_no_unlink'] = 'Chức năng \'unlink\' không dùng được...';
-$lang['cf_unlink_errors'] = 'Lỗi xuất hiện trong quá trình xóa tệp tin';
-$lang['cf_config_saved'] = 'Cấu hình được lưu thành công';
-$lang['cf_config_saved_with_errors'] = 'Cấu hình được lưu với lỗi';
-$lang['cf_length_not_integer'] = 'Kích thước phải là số nguyên';
-$lang['cf_delay_not_integer'] = 'Độ trễ phải là số nguyên';
-$lang['cf_link_error'] = 'Biến số không thể chứa khoảng trắng';
-$lang['cf_hide'] = 'Ẩn';
-
-// ==================================================================
-// Trang quản trị
-$lang['cf_validate'] = 'Xác nhận';
-// Thẻ cấu hình
-$lang['cf_tab_config'] = 'Cấu hình';
-$lang['cf_config'] = 'Cấu hình';
-$lang['cf_config_desc'] = 'Cấu hình plugin chính';
-$lang['cf_label_config'] = 'Cấu hình tổng quát';
-$lang['cf_label_mail'] = 'Cấu hình thư điện tử';
-$lang['cf_menu_link'] = 'Thêm liên kết vào trình đơn';
-$lang['cf_guest_allowed'] = 'Cho phép khách xem các dạng';
-$lang['cf_mail_prefix'] = 'Tiếp đầu ngữ tiêu đề mail được gởi';
-$lang['cf_separator'] = 'Ký tự sử dụng để định nghĩa thanh chia của email trong định dạng kiểu chữ';
-$lang['cf_separator_length'] = 'Kích thước của thanh';
-$lang['cf_mandatory_name'] = 'Họ tên là bắt buộc';
-$lang['cf_mandatory_mail'] = 'Địa chỉ thư điện tử là bắt buộc';
-$lang['cf_redirect_delay'] = 'Tạm ngừng độ trễ của quá trình điều hướng';
-// Thẻ thư điện tử
-$lang['cf_tab_emails'] = 'Thư điện tử';
-$lang['cf_emails'] = 'Thư điện tử';
-$lang['cf_emails_desc'] = 'Quản lý thư điện tử gởi đến';
-$lang['cf_active'] = 'Kích hoạt thư điện tử';
-$lang['cf_no_mail'] = 'Không có địa chỉ thư nào dùng được';
-$lang['cf_refresh'] = 'Tạo ra danh sách địa chỉ thư';
-$lang['Text after the contact form'] = 'Chữ hiện sau form liên lạc';
-$lang['Text before the contact form'] = 'Chữ hiện trước form liên lạc';
-$lang['cf_tab_persoform'] = 'Thêm chữ theo ý bạn';
 ?>
Index: /extensions/ContactForm/main.inc.php
===================================================================
--- /extensions/ContactForm/main.inc.php	(revision 17482)
+++ /extensions/ContactForm/main.inc.php	(revision 17483)
@@ -5,30 +5,38 @@
 Description: Add a "Contact" item in the Menu block to offer a contact form to users
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=304
-Author: Criss, Gotcha
-Author URI: http://piwigo.org/
+Author: Piwigo Team
+Author URI: http://piwigo.org
 */
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-define('CF_PATH',     PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
-define('CF_ROOT',     dirname(__FILE__).'/');
-include_once(CF_PATH . 'include/cf_common.inc.php');
+define('CONTACT_FORM_PATH',  PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
+define('CONTACT_FORM_ADMIN', get_root_url() . 'admin.php?page=plugin-' . basename(dirname(__FILE__)));
 
-$cf_plugin = new CF_Plugin($plugin['id']);
-add_event_handler('loc_begin_index',             
-                  array(&$cf_plugin, 'loc_begin_index'));
-add_event_handler('loc_begin_page_tail',             
-                  array(&$cf_plugin, 'loc_begin_page_header'));
-add_event_handler('blockmanager_apply',             
-                  array(&$cf_plugin, 'blockmanager_apply'),
-                  EVENT_HANDLER_PRIORITY_NEUTRAL+10);
-add_event_handler('loc_end_index',             
-                  array(&$cf_plugin, 'loc_end_index'));
-add_event_handler('loc_end_page_tail',
-                  array(&$cf_plugin, 'loc_end_page_tail'));
-if(defined('IN_ADMIN')) {
-  add_event_handler('get_admin_plugin_menu_links',
-                    array(&$cf_plugin, 'get_admin_plugin_menu_links'));
+
+add_event_handler('init', 'contact_form_init');
+add_event_handler('loc_end_section_init', 'contact_form_section_init');
+add_event_handler('loc_end_index', 'contact_form_page');
+add_event_handler('blockmanager_apply', 'contact_form_applymenu', EVENT_HANDLER_PRIORITY_NEUTRAL+10);
+if (defined('IN_ADMIN'))
+{
+  add_event_handler('get_admin_plugin_menu_links', 'contact_form_admin_menu');
 }
-set_plugin_data($plugin['id'], $cf_plugin);
+
+include(CONTACT_FORM_PATH . 'include/functions.inc.php');
+
+
+function contact_form_init()
+{
+  global $conf;
+  $conf['ContactForm'] = unserialize($conf['ContactForm']);
+  
+  load_language('plugin.lang', CONTACT_FORM_PATH);
+  
+  if ($conf['ContactForm']['cf_must_initialize'])
+  {
+    contact_form_initialize_emails();
+  }
+}
+
 ?>
Index: /extensions/ContactForm/maintain.inc.php
===================================================================
--- /extensions/ContactForm/maintain.inc.php	(revision 17482)
+++ /extensions/ContactForm/maintain.inc.php	(revision 17483)
@@ -1,40 +1,72 @@
 <?php
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-if (!defined('IN_ADMIN') or !IN_ADMIN) die('Hacking attempt!');
 
-if (!defined('CF_PATH')) {
-  define('CF_PATH',     PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
-}
-if (!defined('CF_ROOT')) {
-  define('CF_ROOT',     dirname(__FILE__).'/');
+define('contact_form_default_config', 
+  serialize(array(
+    'cf_must_initialize' => true,
+    'cf_menu_link' => true,
+    'cf_subject_prefix' => '%gallery_title%',
+    'cf_default_subject' => 'A comment on the site',
+    'cf_allow_guest' => true,
+    'cf_mandatory_mail' => true,
+    'cf_mandatory_name' => true,
+    'cf_redirect_delay' => 5,
+    'cf_mail_type' => 'text/html',
+    'cf_admin_mails' => array(),
+    ))
+  );
+
+
+function plugin_install() 
+{
+  conf_update_param('ContactForm', contact_form_default_config);
+  conf_update_param('ContactForm_before', null);
+  conf_update_param('ContactForm_after', null);
 }
 
-function plugin_install($plugin_id, $version, &$errors) {
-  include_once(CF_PATH . 'include/cf_common.inc.php');
-  // Include language advices
-  load_language('plugin.lang', CF_PATH);
-  update_config($plugin_id, CF_CFG_DB_FACTORY);
+function plugin_activate()
+{
+  global $conf;
+
+  if (!isset($conf['ContactForm']))
+  {
+    plugin_install();
+  }
+  else
+  {
+    $new_conf = unserialize($conf['ContactForm']);
+    
+    // migration 2.4 -> 2.5
+    if (!isset($new_conf['cf_must_initialize']))
+    {
+      $new_conf['cf_must_initialize'] = false;
+      $new_conf['cf_default_subject'] = 'A comment on the site';
+      $new_conf['cf_mail_type'] = 'text/html';
+      unset($new_conf['comment'], $new_conf['cf_redirect_delay']);
+      unset($new_conf['cf_separator'], $new_conf['cf_separator_length']);
+      
+      foreach ($new_conf['cf_admin_mails'] as $email => $data)
+      {
+        $new_conf['cf_admin_mails'][] = array(
+          'email' => $email,
+          'name' => $data['NAME'],
+          'active' => $data['ACTIVE'],
+          );
+        unset($new_conf['cf_admin_mails'][ $email ]);
+      }
+      
+      conf_update_param('ContactForm', serialize($new_conf));
+      conf_update_param('ContactForm_before', stripslashes($conf['persoformtop']));
+      conf_update_param('ContactForm_after', stripslashes($conf['persoformbottom']));
+      
+      pwg_query('DELETE FROM `'. CONFIG_TABLE .'` WHERE param IN("persoformtop", "persoformbottom") LIMIT 2;');
+    }
+  }
 }
 
-function plugin_activate($plugin_id, $version, &$errors) {
-  update_config($plugin_id);
+function plugin_uninstall() 
+{
+  pwg_query('DELETE FROM `'. CONFIG_TABLE .'` WHERE param LIKE "ContactForm%" LIMIT 3;');
 }
 
-function plugin_deactivate($plugin_id) {
-  // Nothing special
-}
-
-function plugin_uninstall($plugin_id) {
-  include_once(CF_PATH . 'include/cf_common.inc.php');
-  $uninstall = CF_Config::uninstall($plugin_id);
-}
-
-function update_config($plugin_id, $db_comment=null) {
-  include_once(CF_PATH . 'include/cf_common.inc.php');
-  $clean = cf_clean_obsolete_files(CF_OBSOLETE);
-  if (null != $db_comment) {
-    $cf_config_default[CF_CFG_COMMENT] = $db_comment;
-  }
-  $install = CF_Config::install($plugin_id);
-}
 ?>
